#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "game.h"

Game *game_create(void) {
  Game *g = malloc(sizeof(Game));
  g->should_close = false;
  g->rooms.count = 0;
}

void game_handle_command(Game *g, const char *command) {
  Input *input = g->input;
  if (strcmp(input->input_buffer, "QUIT") == 0) {
    g->should_close = true;
  } else if (strcmp(input->input_buffer, "LOOK") == 0) {
    push_line_to_log(input->log, g->current_room->description);
  }
}

#define ROOMS_PATH "./rooms.txt"
#define MAX_ROOM_COUNT 100

char room_buffer[2001];

void game_load_rooms(Game *g) {
  FILE *rooms_file = fopen(ROOMS_PATH, "r");

  while ((fgets(room_buffer, 2000, rooms_file)) != NULL) {

    char *token = strtok(room_buffer, "|");

    g->rooms.rooms[g->rooms.count].name = malloc(strlen(token) + 1);
    strcpy(g->rooms.rooms[g->rooms.count].name, token);

    token = strtok(NULL, "|");
    g->rooms.rooms[g->rooms.count].description = malloc(strlen(token) + 1);
    strcpy(g->rooms.rooms[g->rooms.count].description, token);
    
    g->rooms.count++;
  }
  fclose(rooms_file);
}
